<?php

namespace Teknisa\FIN\Modules\ContaReceber\Controllers;

use Teknisa\Libs\Util\DateUtil;
use Teknisa\FIN\Modules\ContaReceber\Services\DocumentosBoletoService;
use Teknisa\Libs\Service\CRUD as CrudService;
use Teknisa\Libs\Util\Environment;
use Teknisa\FIN\Controllers\TeknisaCrud;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Request\Row;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\ParameterBag;

class DocumentosBoletoController extends TeknisaCrud{

    protected $dataSourceName = 'notafiscal_contareceber_boletreceber';
//    protected $documentosBoletoService;
//
//    /**
//     * @param CrudService $crudService
//     * @param ParameterBag $parameterBag
//     * @param Environment $environment
//     * @param DocumentosBoletoService $documentosBoletoService
//     */
//    public function __construct(CrudService $crudService, ParameterBag $parameterBag, Environment $environment, DocumentosBoletoService $documentosBoletoService)
//    {
//        $this->crudService  = $crudService;
//        $this->parameterBag = $parameterBag;
//        $this->environment  = $environment;
//        $this->documentosBoletoService = $documentosBoletoService;
//    }
//
//    /**
//     * Salva Documento Boleto
//     * @param Row $row
//     * @param Response $response
//     */
//    public function salvaDocumentoBoleto(Row $row, Response $response)
//    {
//        try {
//            // Dados do Registro
//            $rows = $row->getRow();
//
//            // Parâmetros Iniciais
//            $nrorg           = $rows['NRORG'];
//            $cdfilial        = $rows['CDFILIAL'];
//            $cdfiliemit      = $rows['CDFILIEMIT'];
//            $cdempresaemit   = $rows['CDEMPRESAEMIT'];
//            $cdinscestaemit  = $rows['CDINSCESTAEMIT'];
//            $cdinscmuniemit  = $rows['CDINSCMUNIEMIT'];
//            $cdcliente       = $rows['CDCLIENTE'];
//            $nrinsjurclie    = $rows['NRINSJURCLIE'];
//            $idtpijurclie    = $rows['IDTPIJURCLIE'];
//            $nrlicencauso    = $rows['NRLICENCAUSO'];
//            $nrnotafisc      = $rows['NRNOTAFISC'];
//            $cdserie         = $rows['CDSERIE'];
//            $idstatus        = $rows['IDSTATUS'];
//            $cdtipooper      = $rows['CDTIPOOPER'];
//            $cdvendedor      = $rows['CDVENDEDOR'];
//            $vrnotafisc      = $rows['VRNOTAFISC'];
//            $cdtpctreceb     = $rows['CDTPCTRECEB'];
//            $dscontarec      = $rows['DSCONTAREC'];
//            $cdclassfin      = $rows['CDCLASSFINA'];
//            $dataatual       = DateUtil::getDataAtual();
//            $dtemissao       = DateUtil::truncateData(DateUtil::getDataDeString($rows['DTEMISSAO']));
//            $dtentrsaid      = DateUtil::truncateData(DateUtil::getDataDeString($rows['DTENTRSAID']));
//
//            // Edita Documento Boleto
//            $this->documentosBoletoService->editaDocumentoBoleto
//            (
//                $nrorg,$cdfilial,$cdfiliemit,$cdempresaemit,$cdinscestaemit,$cdinscmuniemit,$cdcliente,
//                $nrinsjurclie,$idtpijurclie,$nrlicencauso,$nrnotafisc,$cdserie,$idstatus,$cdtipooper,
//                $cdvendedor,$vrnotafisc,$cdtpctreceb,$dscontarec,$cdclassfin,$dataatual,$dtemissao,$dtentrsaid
//            );
//
//            // Registra Dados
//            $response->addDataSet(new DataSet('DocumentosBoletoService', ['success' => 'S']));
//        } catch (\Exception $e) {
//            $response->setError(new Response\Error($e->getMessage(), $e->getCode()));
//        }
//    }
}