<?php

namespace Teknisa\FIN\Modules\ContaReceber\Controllers;

use Teknisa\FIN\Controllers\TeknisaCrud;
use Zeedhi\Framework\DTO;

class NotafiscalAdiantaDisp extends TeknisaCrud{
    protected $dataSourceName = 'notafiscal_adiantadisp';
    protected $parameterBagColumns = array(
        'P_TPCDCLIENTE',
        'P_TPCDFILIORIG',
        'P_TPCDFILILANC',
        'P_TPFORMAREC',
        'P_TPCDTPCTRECEB',
    	'P_CDCLIENTE',
    	'P_DocInicial',
    	'P_DocFinal',
    	'P_CDFILIORIG',
    	'P_CDFILILANC',
    	'P_DATAINI',
    	'P_DATAFIN',
    	'P_STATUS',
    	'P_VRINI',
    	'P_VRFIN',
    	'P_CDEMPRESA',
        'P_CDTPCTRECEB',
        'P_FORMAREC');

    public function save(DTO\Request $request, DTO\Response $response) {
        $this->dataSourceName = 'notafiscal';
        parent::save($request, $response);
    }
}